Package com.xebialabs.xlrelease.domain.events

# Class ReleaseActorStopped

java.lang.Object
com.xebialabs.xlrelease.domain.events.ReleaseActorStopped

All Implemented Interfaces:
  `ReleaseActorEvent`, `XLReleaseEvent`, `Serializable`, `scala.Equals`, `scala.Product`

public class ReleaseActorStopped extends Object implements ReleaseActorEvent, scala.Product, Serializable
Private event related to Release Actor. Do not use it outside product codebase.

param: releaseId id of the release param: actorPath Full String representation of actor path including the uid for the actor cell instance as URI fragment. Created from ActorPath.toSerializationFormat.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReleaseActorStopped(String releaseId, String actorPath)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `actorPath()`
  `static ReleaseActorStopped`
  `apply(String releaseId, String actorPath)`
  `boolean`
  `canEqual(Object x$1)`
  `ReleaseActorStopped`
  `copy(String releaseId, String actorPath)`
  `String`
  `copy$default$1()`
  `String`
  `copy$default$2()`
  `boolean`
  `equals(Object x$1)`
  `int`
  `hashCode()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `String`
  `releaseId()`
  `Date`
  `timestamp()`
  `String`
  `toString()`
  `static scala.Option<scala.Tuple2<String,String>>`
  `unapply(ReleaseActorStopped x$0)`
  `String`
  `username()`
  `void`
  `username_$eq(String x$1)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### ReleaseActorStopped

    public ReleaseActorStopped(String releaseId, String actorPath)

- ## Method Details

  - ### apply

    public static ReleaseActorStopped apply(String releaseId, String actorPath)

  - ### unapply

    public static scala.Option<scala.Tuple2<String,String>> unapply(ReleaseActorStopped x$0)

  - ### username

    public String username()
    Specified by:
      `username` in interface `XLReleaseEvent`

  - ### username_$eq

    public void username_$eq(String x$1)
    Specified by:
      `username_$eq` in interface `XLReleaseEvent`

  - ### timestamp

    public Date timestamp()
    Specified by:
      `timestamp` in interface `XLReleaseEvent`

  - ### releaseId

    public String releaseId()

  - ### actorPath

    public String actorPath()

  - ### copy

    public ReleaseActorStopped copy(String releaseId, String actorPath)

  - ### copy$default$1

    public String copy$default$1()

  - ### copy$default$2

    public String copy$default$2()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`